## r-cran-cowplot 1.0.0+dfsg

=== DESCRIPTION ===
Package: cowplot
Title: Streamlined Plot Theme and Plot Annotations for 'ggplot2'
Version: 1.0.0
Authors@R: 
    person(
      given = "Claus O.",
      family = "Wilke",
      role = c("aut", "cre"),
      email = "wilke@austin.utexas.edu",
      comment = c(ORCID = "0000-0002-7470-9261")
    )
Description: 
    Provides various features that help with creating publication-quality figures
    with 'ggplot2', such as a set of themes, functions to align plots and arrange
    them into complex compound figures, and functions that make it easy to annotate
    plots and or mix plots with images. The package was originally written for
    internal use in the Wilke lab, hence the name (Claus O. Wilke's plot package).
    It has also been used extensively in the book Fundamentals of Data
    Visualization.
URL: https://wilkelab.org/cowplot
BugReports: https://github.com/wilkelab/cowplot/issues
Depends: R (>= 3.5.0)
Imports: ggplot2 (> 2.2.1), grid, gtable, grDevices, methods, rlang,
        scales, utils
License: GPL-2
LazyData: true
Suggests: Cairo, covr, dplyr, forcats, gridGraphics (>= 0.4-0), knitr,
        lattice, magick, maps, PASWR, rmarkdown, testthat (>= 1.0.0),
        tidyr, vdiffr (>= 0.3.0), VennDiagram
VignetteBuilder: knitr
Collate: 'add_sub.R' 'align_plots.R' 'as_grob.R' 'as_gtable.R'
        'axis_canvas.R' 'cowplot.R' 'draw.R' 'get_plot_component.R'
        'get_axes.R' 'get_titles.R' 'get_legend.R' 'get_panel.R'
        'gtable.R' 'key_glyph.R' 'plot_grid.R' 'save.R'
        'set_null_device.R' 'setup.R' 'stamp.R' 'themes.R'
        'utils_ggplot2.R'
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-07-10 14:30:57 UTC; clauswilke
Author: Claus O. Wilke [aut, cre] (<https://orcid.org/0000-0002-7470-9261>)
Maintainer: Claus O. Wilke <wilke@austin.utexas.edu>
Repository: CRAN
Date/Publication: 2019-07-11 12:22:55 UTC

=== debian/changelog ===
r-cran-cowplot (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jul 2019 05:22:55 +0200

r-cran-cowplot (0.9.4+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #931053)

 -- Andreas Tille <tille@debian.org>  Tue, 25 Jun 2019 10:49:24 +0200

=== debian/control ===
Source: r-cran-cowplot
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-ggplot2 (>= 2.2.1),
               r-cran-gtable,
               r-cran-rlang,
               r-cran-scales
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cowplot
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cowplot.git
Homepage: https://cran.r-project.org/package=cowplot

Package: r-cran-cowplot
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R streamlined plot theme and plot annotations for 'ggplot2'
 Some helpful extensions and modifications to the 'ggplot2'
 package. In particular, this package makes it easy to combine multiple
 'ggplot2' plots into one and label them with letters, e.g. A, B, C, etc.,
 as is often required for scientific publications. The package also provides
 a streamlined and clean theme that is used in the Wilke lab, hence the
 package name, which stands for Claus O. Wilke's plot package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find . -type f -name "*.rds" -o -name "*.txt" | xargs chmod -x

## r-cran-cowplot 1.1.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: cowplot
 Title: Streamlined Plot Theme and Plot Annotations for 'ggplot2'
-Version: 1.0.0
+Version: 1.1.1
 Authors@R: 
     person(
       given = "Claus O.",
@@ -17,16 +17,16 @@
     internal use in the Wilke lab, hence the name (Claus O. Wilke's plot package).
     It has also been used extensively in the book Fundamentals of Data
     Visualization.
-URL: https://wilkelab.org/cowplot
+URL: https://wilkelab.org/cowplot/
 BugReports: https://github.com/wilkelab/cowplot/issues
 Depends: R (>= 3.5.0)
 Imports: ggplot2 (> 2.2.1), grid, gtable, grDevices, methods, rlang,
-        scales, utils
+        scales
 License: GPL-2
 LazyData: true
 Suggests: Cairo, covr, dplyr, forcats, gridGraphics (>= 0.4-0), knitr,
-        lattice, magick, maps, PASWR, rmarkdown, testthat (>= 1.0.0),
-        tidyr, vdiffr (>= 0.3.0), VennDiagram
+        lattice, magick, maps, PASWR, patchwork, rmarkdown, ragg,
+        testthat (>= 1.0.0), tidyr, vdiffr (>= 0.3.0), VennDiagram
 VignetteBuilder: knitr
 Collate: 'add_sub.R' 'align_plots.R' 'as_grob.R' 'as_gtable.R'
         'axis_canvas.R' 'cowplot.R' 'draw.R' 'get_plot_component.R'
@@ -34,10 +34,11 @@
         'gtable.R' 'key_glyph.R' 'plot_grid.R' 'save.R'
         'set_null_device.R' 'setup.R' 'stamp.R' 'themes.R'
         'utils_ggplot2.R'
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
+Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2019-07-10 14:30:57 UTC; clauswilke
+Packaged: 2020-12-15 18:32:06 UTC; clauswilke
 Author: Claus O. Wilke [aut, cre] (<https://orcid.org/0000-0002-7470-9261>)
 Maintainer: Claus O. Wilke <wilke@austin.utexas.edu>
 Repository: CRAN
-Date/Publication: 2019-07-11 12:22:55 UTC
+Date/Publication: 2020-12-30 14:30:02 UTC

=== debian/changelog ===
r-cran-cowplot (1.1.1+dfsg-2) unstable; urgency=medium

  * Rebuild against latest r-base
    Closes: #1039644
  * Update Test-Depends using dh-update-R
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 18 Jul 2023 09:26:06 +0200

r-cran-cowplot (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jan 2021 12:27:16 +0100

r-cran-cowplot (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Sep 2020 11:26:25 +0200

r-cran-cowplot (1.0.0+dfsg-3) unstable; urgency=medium

  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 21:29:33 +0200

r-cran-cowplot (1.0.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Add r-cran-vdiffr to test-deps

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Apr 2020 08:56:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 2.2.1),
+               r-cran-ggplot2,
                r-cran-gtable,
                r-cran-rlang,
                r-cran-scales
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cowplot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cowplot.git
 Homepage: https://cran.r-project.org/package=cowplot
+Rules-Requires-Root: no
 
 Package: r-cran-cowplot
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-cairo,
         r-cran-covr,
         r-cran-dplyr,
         r-cran-forcats,
         r-cran-gridgraphics (>= 0.4-0),
         r-cran-knitr,
         r-cran-lattice,
         r-cran-magick,
         r-cran-maps,
         r-cran-patchwork,
         r-cran-rmarkdown,
         r-cran-ragg,
         r-cran-testthat (>= 1.0.0),
         r-cran-tidyr,
         r-cran-vdiffr (>= 0.3.0),
         r-cran-venndiagram
Restrictions: allow-stderr

## r-cran-cowplot 1.1.3%2Bdfsg

=== debian/changelog ===
r-cran-cowplot (1.1.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 22:44:55 +0100

r-cran-cowplot (1.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 20:04:22 +0100

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/cowplot_([-\d.]*)\.tar\.gz

## r-cran-cowplot 1.1.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: cowplot
 Title: Streamlined Plot Theme and Plot Annotations for 'ggplot2'
-Version: 1.1.1
+Version: 1.1.3
 Authors@R: 
     person(
       given = "Claus O.",
@@ -20,10 +20,9 @@
 URL: https://wilkelab.org/cowplot/
 BugReports: https://github.com/wilkelab/cowplot/issues
 Depends: R (>= 3.5.0)
-Imports: ggplot2 (> 2.2.1), grid, gtable, grDevices, methods, rlang,
+Imports: ggplot2 (>= 3.4.0), grid, gtable, grDevices, methods, rlang,
         scales
 License: GPL-2
-LazyData: true
 Suggests: Cairo, covr, dplyr, forcats, gridGraphics (>= 0.4-0), knitr,
         lattice, magick, maps, PASWR, patchwork, rmarkdown, ragg,
         testthat (>= 1.0.0), tidyr, vdiffr (>= 0.3.0), VennDiagram
@@ -34,11 +33,11 @@
         'gtable.R' 'key_glyph.R' 'plot_grid.R' 'save.R'
         'set_null_device.R' 'setup.R' 'stamp.R' 'themes.R'
         'utils_ggplot2.R'
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-12-15 18:32:06 UTC; clauswilke
+Packaged: 2024-01-22 21:32:03 UTC; clauswilke
 Author: Claus O. Wilke [aut, cre] (<https://orcid.org/0000-0002-7470-9261>)
 Maintainer: Claus O. Wilke <wilke@austin.utexas.edu>
 Repository: CRAN
-Date/Publication: 2020-12-30 14:30:02 UTC
+Date/Publication: 2024-01-22 23:22:51 UTC

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: r-cran-cowplot
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cowplot
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cowplot.git
+Homepage: https://cran.r-project.org/package=cowplot
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2,
+               r-cran-ggplot2 (>= 3.4.0),
                r-cran-gtable,
                r-cran-rlang,
                r-cran-scales
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cowplot
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cowplot.git
-Homepage: https://cran.r-project.org/package=cowplot
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-cowplot
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-cairo,
        r-cran-covr,
        r-cran-dplyr,
        r-cran-forcats,
        r-cran-gridgraphics (>= 0.4-0),
        r-cran-knitr,
        r-cran-lattice,
        r-cran-magick,
        r-cran-maps,
        r-cran-patchwork,
        r-cran-rmarkdown,
        r-cran-ragg,
        r-cran-testthat (>= 1.0.0),
        r-cran-tidyr,
        r-cran-vdiffr (>= 0.3.0),
        r-cran-venndiagram
Restrictions: allow-stderr

## r-cran-cowplot 1.2.0+dfsg

=== debian/changelog ===
r-cran-cowplot (1.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 17 Dec 2025 09:18:09 +0900

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: r-cran-cowplot
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-ggplot2 (>= 3.5.2),
+               r-cran-gtable,
+               r-cran-rlang,
+               r-cran-scales,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cowplot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cowplot.git
 Homepage: https://cran.r-project.org/package=cowplot
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-ggplot2 (>= 3.4.0),
-               r-cran-gtable,
-               r-cran-rlang,
-               r-cran-scales
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-cowplot
 Architecture: all
